Skip to main content
POST
/
features
cURL
curl -X POST https://api.growthbook.io/api/v1/features \
  -d '{ "id": "test-01", "description": "A cool feature", ... }'
  -u secret_abc123DEF456:
{
  "feature": {
    "id": "<string>",
    "dateCreated": "2023-11-07T05:31:56Z",
    "dateUpdated": "2023-11-07T05:31:56Z",
    "archived": true,
    "description": "<string>",
    "owner": "<unknown>",
    "project": "<string>",
    "valueType": "boolean",
    "defaultValue": "<string>",
    "tags": [
      "<string>"
    ],
    "environments": {},
    "revision": {
      "version": 123,
      "comment": "<string>",
      "date": "2023-11-07T05:31:56Z",
      "createdBy": "<string>",
      "publishedBy": "<string>"
    },
    "prerequisites": [
      "<string>"
    ],
    "customFields": {},
    "holdout": {
      "id": "<string>",
      "value": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

If using Bearer auth, pass the Secret Key as the token:

curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"

Body

application/json
id
string
required

A unique key name for the feature. Feature keys can only include letters, numbers, hyphens, and underscores.

Minimum string length: 1
owner
any
required
valueType
enum<string>
required

The data type of the feature payload. Boolean by default.

Available options:
boolean,
string,
number,
json
defaultValue
string
required

Default value when feature is enabled. Type must match valueType.

archived
boolean
description
string

Description of the feature

project
string

An associated project ID

tags
string[]

List of associated tags

environments
object

A dictionary of environments that are enabled for this feature. Keys supply the names of environments. Environments belong to organization and are not specified will be disabled by default.

prerequisites
string[]

Feature IDs. Each feature must evaluate to true

jsonSchema
string

Use JSON schema to validate the payload of a JSON-type feature value (enterprise only).

customFields
object

Response

200 - application/json

Success

feature
object
required